Show / Hide Table of Contents

# Class ConnectionCompleteParams

Parameters to be sent back with a connection complete event

##### Inheritance

System.Object
ConnectionCompleteParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectionCompleteParams

### Properties

| Improve this Doc View Source

#### ConnectionId

A GUID representing a unique connection ID

##### Declaration

    public string ConnectionId { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ConnectionSummary

Gets or sets the actual Connection established, including Database Name

##### Declaration

    public ConnectionSummary ConnectionSummary { get; set; }

##### Property Value

Type | Description
--- | ---
ConnectionSummary |

| Improve this Doc View Source

#### ErrorMessage

Error message returned from the engine for a connection failure reason, if any.

##### Declaration

    public string ErrorMessage { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ErrorNumber

Error number returned from the engine for connection failure reason, if any.

##### Declaration

    public int ErrorNumber { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Messages

Gets or sets any detailed connection error messages.

##### Declaration

    public string Messages { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### OwnerUri

A URI identifying the owner of the connection. This will most commonly be a file in the workspace or a virtual file representing an object in a database.

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ServerInfo

Information about the connected server.

##### Declaration

    public ServerInfo ServerInfo { get; set; }

##### Property Value

Type | Description
--- | ---
ServerInfo |